<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>jqAddDel</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <style>
        #quote{
            border: 1px solid black;
        }
    </style>
</head>
<body>
    <h2>Пример документа</h2>
    <button id="del">Удалить</button>
    <button id="clear">Очистить</button><br>
    <a title="Google" href="https://www.google.com.ua/?hl=ru"> на Google!</a><br>
    <code id="text">
        Это раздел кода!
    </code>
    <blockquote id="quote">
        текст!
    </blockquote>
    <img id="ball" src="https://bipbap.ru/wp-content/uploads/2017/11/0_a2a12_e18eb8fe_XL.jpg">
    <script>
        $('#del').click(function () {
            $('#ball').remove();
        })
        $('#clear').click(function () {
            $('#quote').empty();
        })
        $('a').prepend('Ссылка: ');
        $("[href^='http']").append('<img src=\'https://prophotos.ru/data/articles/0002/2622/image-rectangle_600_x.jpg\'>')
        $('#text').after('<hr>').before('<hr>')
    </script>
</body>
</html>